Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamList.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamList.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamList.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2.preferences;
 
@@ -38,7 +21,7 @@
         this.m_strFilename = filename;
         if (filename == null) {
-        	loadDefault();
+            loadDefault();
         } else {
-        	load();
+            load();
         }
     }
@@ -49,12 +32,12 @@
             String strLine;
             while ((strLine = oReader.readLine()) != null) {
-            	oBuilder.append(strLine).append('\n');
+                oBuilder.append(strLine).append('\n');
                 if (strLine.equals("")) {
-                	m_listServerParam.add(ServerParam.unserialize(oBuilder.toString()));
-                	oBuilder = new StringBuilder();
+                    m_listServerParam.add(ServerParam.unserialize(oBuilder.toString()));
+                    oBuilder = new StringBuilder();
                 }
             }
         } catch (Exception e) {
-        	loadDefault();
+            loadDefault();
         }
     }
@@ -62,18 +45,18 @@
     public void loadDefault() {
         try (
-        	InputStream oIP = getClass().getResourceAsStream("/resources/serverParam.cfg");
-            BufferedReader oReader = new BufferedReader(new InputStreamReader(oIP));
-        ) {
+                InputStream oIP = getClass().getResourceAsStream("/resources/serverParam.cfg");
+                BufferedReader oReader = new BufferedReader(new InputStreamReader(oIP));
+                ) {
             StringBuilder oBuilder = new StringBuilder();
             String strLine;
             while ((strLine = oReader.readLine()) != null) {
-            	oBuilder.append(strLine).append('\n');
+                oBuilder.append(strLine).append('\n');
                 if (strLine.equals("")) {
-                	m_listServerParam.add(ServerParam.unserialize(oBuilder.toString()));
-                	oBuilder = new StringBuilder();
+                    m_listServerParam.add(ServerParam.unserialize(oBuilder.toString()));
+                    oBuilder = new StringBuilder();
                 }
             }
         } catch (Exception e) {
-        	Main.warn("Tracer2 warning: can't load file " + m_strFilename);
+            Main.warn("Tracer2 warning: can't load file " + m_strFilename);
         }
     }
@@ -82,8 +65,8 @@
         try (OutputStreamWriter oWriter = new OutputStreamWriter(new FileOutputStream(m_strFilename), "UTF-8")) {
             for (ServerParam param : m_listServerParam) {
-            	oWriter.write(param.serialize());
+                oWriter.write(param.serialize());
             }
         } catch (Exception e) {
-        	Main.warn("Tracer2 warning: can't save file " + m_strFilename);
+            Main.warn("Tracer2 warning: can't save file " + m_strFilename);
         }
     }
@@ -96,27 +79,28 @@
         return m_oActivParam;
     }
+
     public void setActivParam(ServerParam param) {
-    	if ( m_listServerParam.contains(param)) {
-    		m_oActivParam = param;
-    	}
+        if (m_listServerParam.contains(param)) {
+            m_oActivParam = param;
+        }
     }
 
     public List<ServerParam> getEnableParamList() {
-    	List<ServerParam> listParam = new ArrayList<>();
-    	for ( ServerParam param: m_listServerParam) {
-        	if (param.isEnabled()) {
-        		listParam.add(param);
-        	}
+        List<ServerParam> listParam = new ArrayList<>();
+        for (ServerParam param: m_listServerParam) {
+            if (param.isEnabled()) {
+                listParam.add(param);
+            }
         }
-    	return listParam;
+        return listParam;
     }
 
     public void addParam(ServerParam param) {
-    	m_listServerParam.add(param);
+        m_listServerParam.add(param);
     }
 
     public void removeParam(ServerParam param) {
-    	param.setEnabled(false);
-    	m_listServerParam.remove(param);
+        param.setEnabled(false);
+        m_listServerParam.remove(param);
     }
 }
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamPanel.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamPanel.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamPanel.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2.preferences;
 
@@ -36,16 +19,16 @@
 
 public class ServerParamPanel extends JPanel {
-	/**
-	 * 
-	 */
-	private static final long serialVersionUID = -6174275926314685531L;
-	
-	ServerParamList m_listParam;
-	
+    /**
+     *
+     */
+    private static final long serialVersionUID = -6174275926314685531L;
+
+    ServerParamList m_listParam;
+
     public ServerParamPanel(ServerParamList listParam) {
         super(new GridBagLayout());
         m_listParam = listParam;
     }
-    
+
     public void refresh() {
         removeAll();
@@ -54,13 +37,14 @@
         gbc.fill = GridBagConstraints.HORIZONTAL;
         gbc.insets = new Insets(2, 5, 2, 5);
-        
+
         for (final ServerParam param : m_listParam.getParamList()) {
             gbc.gridx = 0;
             gbc.weightx = 1.0;
             gbc.anchor = GridBagConstraints.WEST;
-            
+
             final JCheckBox cbParam = new JCheckBox(param.getName());
             cbParam.setSelected(param.isEnabled());
             cbParam.addActionListener(new ActionListener() {
+                @Override
                 public void actionPerformed(ActionEvent e) {
                     param.setEnabled(cbParam.isSelected());
@@ -68,9 +52,9 @@
             });
             add(cbParam, gbc);
-            
+
             gbc.gridx = 1;
             gbc.weightx = 0;
             gbc.anchor = GridBagConstraints.EAST;
-            
+
             final JButton bEdit = new JButton(tr("Edit"));
             bEdit.addActionListener(new ActionListener() {
@@ -84,5 +68,5 @@
             });
             add(bEdit, gbc);
-            
+
             gbc.gridx = 2;
             final JButton bDel = new JButton(tr("Delete"));
@@ -94,7 +78,6 @@
                             tr("Are you sure?"),
                             JOptionPane.YES_NO_OPTION,
-                            JOptionPane.QUESTION_MESSAGE) == JOptionPane.YES_OPTION)
-                    {
-                    	m_listParam.removeParam(param);
+                            JOptionPane.QUESTION_MESSAGE) == JOptionPane.YES_OPTION) {
+                        m_listParam.removeParam(param);
                         refresh();
                     }
@@ -102,5 +85,5 @@
             });
             add(bDel, gbc);
-            
+
             gbc.gridy++;
         }
@@ -108,7 +91,7 @@
         gbc.fill = GridBagConstraints.NONE;
         gbc.anchor = GridBagConstraints.WEST;
-        
+
         JPanel p = new JPanel(new GridBagLayout());
-        
+
         final JButton bNew = new JButton(tr("Add new"));
         bNew.addActionListener(new ActionListener() {
@@ -118,5 +101,5 @@
                 dlg.setVisible(true);
                 dlg.dispose();
-                ServerParam param = ((ServerParamDialog)dlg).getServerParam();
+                ServerParam param = ((ServerParamDialog) dlg).getServerParam();
                 if (param != null && param.getName() != null && (!"".equals(param.getName()))) {
                     m_listParam.addParam(param);
@@ -127,33 +110,33 @@
         });
         p.add(bNew);
-        
+
         final JButton bPredefined = new JButton(tr("Add predefined"));
         bPredefined.addActionListener(new ActionListener() {
             @Override
             public void actionPerformed(ActionEvent arg0) {
-            	ServerParamList myParamList;
+                ServerParamList myParamList;
 
-            	myParamList = new ServerParamList(null);
-            	
-            	ServerParamSelectDialog dialog = new ServerParamSelectDialog(myParamList.getParamList(), null);
-            	
+                myParamList = new ServerParamList(null);
+
+                ServerParamSelectDialog dialog = new ServerParamSelectDialog(myParamList.getParamList(), null);
+
                 if (dialog.getShow()) {
                     JOptionPane pane = new JOptionPane(dialog, JOptionPane.PLAIN_MESSAGE, JOptionPane.OK_CANCEL_OPTION);
                     JDialog dlg = pane.createDialog(Main.parent, tr("Tracer2") + " - " + tr("Select predefined parameter"));
-                	dlg.setVisible(true);
-                	Object obj = pane.getValue();
+                    dlg.setVisible(true);
+                    Object obj = pane.getValue();
                     dlg.dispose();
-                	if(obj != null && ((Integer)obj) == JOptionPane.OK_OPTION) {
-                		ServerParam param = dialog.getSelectedParam();
+                    if (obj != null && ((Integer) obj) == JOptionPane.OK_OPTION) {
+                        ServerParam param = dialog.getSelectedParam();
 
-                		dlg = new ServerParamDialog(param);
-                		dlg.setVisible(true);
-                		dlg.dispose();
-                        param = ((ServerParamDialog)dlg).getServerParam();
+                        dlg = new ServerParamDialog(param);
+                        dlg.setVisible(true);
+                        dlg.dispose();
+                        param = ((ServerParamDialog) dlg).getServerParam();
                         if (param != null && param.getName() != null && (!"".equals(param.getName()))) {
                             m_listParam.addParam(param);
                             param.setEnabled(true);
                         }
-                	}
+                    }
                 }
                 refresh();
@@ -161,8 +144,8 @@
         });
         p.add(bPredefined);
-        
+
         add(p, gbc);
         gbc.gridy++;
-        
+
         gbc.weightx = 1.0;
         gbc.weighty = 1.0;
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamPreference.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamPreference.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamPreference.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2.preferences;
 
@@ -32,13 +15,13 @@
 
 public class ServerParamPreference extends DefaultTabPreferenceSetting {
-	
-	TracerPlugin m_oPlugin;
-	
+
+    TracerPlugin m_oPlugin;
+
     public ServerParamPreference(TracerPlugin plugin) {
-    	super("tracer2", tr("Tracer2") + " - " + tr("Preferences"), tr("Modify list of parameter for server request."));
+        super("tracer2", tr("Tracer2") + " - " + tr("Preferences"), tr("Modify list of parameter for server request."));
 
         m_oPlugin = plugin;
     }
-    
+
     @Override
     public void addGui(PreferenceTabbedPane gui) {
@@ -49,5 +32,5 @@
         p.add(sp, GBC.eol().fill(GridBagConstraints.BOTH));
     }
-    
+
     @Override
     public boolean ok() {
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamSelectDialog.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamSelectDialog.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/preferences/ServerParamSelectDialog.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2.preferences;
 
@@ -33,46 +16,46 @@
 
 public class ServerParamSelectDialog extends JPanel {
-	
-	private JComboBox<String> m_oComboBox;
+
+    private JComboBox<String> m_oComboBox;
     List<ServerParam> m_listServerParam;
     private boolean m_bShow = true;
-    
+
     public boolean getShow() {
-    	return m_bShow;
+        return m_bShow;
     }
-    
-	public ServerParamSelectDialog(List<ServerParam> listParam) {
-		Init(m_listServerParam, null);
-	}
-	
-	public ServerParamSelectDialog(List<ServerParam> listServerParam, ServerParam activParam) {
-		Init(listServerParam, activParam);
-	}
-	
-	private void Init(List<ServerParam> listParam, ServerParam activParam) {
+
+    public ServerParamSelectDialog(List<ServerParam> listParam) {
+        Init(m_listServerParam, null);
+    }
+
+    public ServerParamSelectDialog(List<ServerParam> listServerParam, ServerParam activParam) {
+        Init(listServerParam, activParam);
+    }
+
+    private void Init(List<ServerParam> listParam, ServerParam activParam) {
         GridBagConstraints c = new GridBagConstraints();
-        
+
         String[] astr = new String[listParam.size()];
-        
+
         m_listServerParam = listParam;
-        
-        if ( activParam == null ) {
-        	activParam = m_listServerParam.get(0);
+
+        if (activParam == null) {
+            activParam = m_listServerParam.get(0);
         }
         int i = 0;
         int pos = 0;
-        for ( ServerParam param: m_listServerParam ) {
-        	astr[i] = param.getName();
-        	if (param.equals(activParam)) {
-        		pos = i;
-        	}
-        	i++;
+        for (ServerParam param: m_listServerParam) {
+            astr[i] = param.getName();
+            if (param.equals(activParam)) {
+                pos = i;
+            }
+            i++;
         }
         m_oComboBox = new JComboBox<>(astr);
         m_oComboBox.setSelectedIndex(pos);
-        
+
         setLayout(new GridBagLayout());
-        
-        c.insets = new Insets(4,4,4,4);
+
+        c.insets = new Insets(4, 4, 4, 4);
         c.gridwidth = 1;
         c.weightx = 0.8;
@@ -81,5 +64,5 @@
         c.gridy = 0;
         add(new JLabel(tr("Parameter:")), c);
-        
+
         c.gridwidth = 1;
         c.gridx = 1;
@@ -87,14 +70,15 @@
         c.weightx = 1.5;
         add(m_oComboBox, c);
-	}
-	
-	public ServerParam getSelectedParam() {
-     	int nSel = m_oComboBox.getSelectedIndex();
+    }
+
+    public ServerParam getSelectedParam() {
+        int nSel = m_oComboBox.getSelectedIndex();
         return m_listServerParam.get(nSel);
     }
-	public void checkComboBox() {
-     	int nSel = m_oComboBox.getSelectedIndex();
+
+    public void checkComboBox() {
+        int nSel = m_oComboBox.getSelectedIndex();
         TracerPlugin.s_oPlugin.m_oParamList.setActivParam(m_listServerParam.get(nSel));
     }
-	
+
 }
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/server/GetTrace.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/server/GetTrace.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/server/GetTrace.java	(revision 32788)
@@ -1,33 +1,17 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2.server;
 
 import java.util.ArrayList;
 
+import org.openstreetmap.josm.Main;
 import org.openstreetmap.josm.data.coor.LatLon;
 import org.openstreetmap.josm.plugins.tracer2.preferences.ServerParam;
 
 public class GetTrace extends Request {
-	
-	private LatLon m_oLatLon;
-	private ServerParam m_oServerParam;
+
+    private LatLon m_oLatLon;
+    private ServerParam m_oServerParam;
     public ArrayList<LatLon> m_listLatLon = new ArrayList<>();
-    
+
     /**
      * Trace s simple shape on position.
@@ -35,81 +19,82 @@
      * @param oParam parameter for tracing.
      */
-   public GetTrace(LatLon oLatLon, ServerParam oParam) {
-    	m_oLatLon = oLatLon;
-    	m_oServerParam = oParam;
+    public GetTrace(LatLon oLatLon, ServerParam oParam) {
+        m_oLatLon = oLatLon;
+        m_oServerParam = oParam;
     }
-    
-   /**
-    * Thread that get a shape from the Server.
-    */
+
+    /**
+     * Thread that get a shape from the Server.
+     */
+    @Override
     public void run() {
-    	m_listLatLon = new ArrayList<>();
-    	
+        m_listLatLon = new ArrayList<>();
+
         try {
             String strResponse = callServer("traceOrder=GetTrace"
-            		+ "&traceLat=" + m_oLatLon.lat()
-            		+ "&traceLon=" + m_oLatLon.lon()
-            		+ "&traceName=" + m_oServerParam.getName()
-            		+ "&traceUrl=" + m_oServerParam.getUrl()
-            		+ "&traceTileSize=" + m_oServerParam.getTileSize()
-            		+ "&traceResolution=" + m_oServerParam.getResolution()
-            		//+ "&traceSkipBottom=" + param.getSkipBottom()
-            		+ "&traceMode=" + m_oServerParam.getMode()
-            		+ "&traceThreshold=" + m_oServerParam.getThreshold()
-            		+ "&tracePointsPerCircle=" + m_oServerParam.getPointsPerCircle()
-            );
-            
+                    + "&traceLat=" + m_oLatLon.lat()
+                    + "&traceLon=" + m_oLatLon.lon()
+                    + "&traceName=" + m_oServerParam.getName()
+                    + "&traceUrl=" + m_oServerParam.getUrl()
+                    + "&traceTileSize=" + m_oServerParam.getTileSize()
+                    + "&traceResolution=" + m_oServerParam.getResolution()
+                    //+ "&traceSkipBottom=" + param.getSkipBottom()
+                    + "&traceMode=" + m_oServerParam.getMode()
+                    + "&traceThreshold=" + m_oServerParam.getThreshold()
+                    + "&tracePointsPerCircle=" + m_oServerParam.getPointsPerCircle()
+                    );
+
             if (strResponse == null || strResponse.equals("")) {
-            	return;
+                return;
             }
-            
+
             if (checkError(strResponse) == true) {
-            	return;
+                return;
             }
-            
+
             if (strResponse.startsWith("(")) {
-            	GetPoints(strResponse);
-            	return;
+                GetPoints(strResponse);
+                return;
             }
             String[] astrParts = strResponse.split("&");
 
             for (String strPart : astrParts) {
-            	if (strPart.contains("tracePoints="))
-            	{
-            		String strPoints = strPart.replace("tracePoints=", "");
-            		GetPoints(strPoints);
-            		return;
-            	}
+                if (strPart.contains("tracePoints=")) {
+                    String strPoints = strPart.replace("tracePoints=", "");
+                    GetPoints(strPoints);
+                    return;
+                }
             }
         } catch (Exception e) {
-        	//m_listLatLon = new ArrayList<>();
+            //m_listLatLon = new ArrayList<>();
+            Main.warn(e);
         }
     }
-    
-    
+
     /**
      * Get points from string
      */
-     public void GetPoints(String strResponse) {
-         try {
-             if (!strResponse.startsWith("(") || !strResponse.endsWith(")")){
-             	return;
-             }
-             strResponse = strResponse.substring(1, strResponse.length()-1);
-             
-             ArrayList<LatLon> nodelist = new ArrayList<>();
-             
-             String[] astrPoints = strResponse.split("\\)\\(");
-             for (String strPoint : astrPoints) {
-                 String[] astrParts = strPoint.split(":");
-                 double x = Double.parseDouble(astrParts[0]);
-                 double y = Double.parseDouble(astrParts[1]);
-                 nodelist.add(new LatLon(x, y));
-             }
-             m_listLatLon = nodelist;
-         } catch (Exception e) {
-         	//m_listLatLon = new ArrayList<>();
-         }
-     }
-    
+    public void GetPoints(String strResponse) {
+        try {
+            if (!strResponse.startsWith("(") || !strResponse.endsWith(")")) {
+                return;
+            }
+            strResponse = strResponse.substring(1, strResponse.length()-1);
+
+            ArrayList<LatLon> nodelist = new ArrayList<>();
+
+            String[] astrPoints = strResponse.split("\\)\\(");
+            for (String strPoint : astrPoints) {
+                String[] astrParts = strPoint.split(":");
+                double x = Double.parseDouble(astrParts[0]);
+                double y = Double.parseDouble(astrParts[1]);
+                nodelist.add(new LatLon(x, y));
+            }
+            m_listLatLon = nodelist;
+        } catch (Exception e) {
+            //m_listLatLon = new ArrayList<>();
+            Main.warn(e);
+        }
+    }
+
 }
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/server/GetVersion.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/server/GetVersion.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/server/GetVersion.java	(revision 32788)
@@ -1,53 +1,39 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2.server;
 
+import org.openstreetmap.josm.Main;
+
 public class GetVersion extends Request {
-	
+
     public int m_nVersionMajor = -1;
     public int m_nVersionMinor = -1;
     public int m_nVersionBuild = -1;
     public int m_nVersionRevision = -1;
-    
+
     /**
      * Get version from server.
      */
-	public GetVersion() {
+    public GetVersion() {
     }
-    
-	/**
-	 * Thread that get the version of the Server.
-	 */
+
+    /**
+     * Thread that get the version of the Server.
+     */
+    @Override
     public void run() {
         try {
-            String strResponse = callServer("traceOrder=GetVersion" );
-            
+            String strResponse = callServer("traceOrder=GetVersion");
+
             if (strResponse == null || strResponse.equals("")) {
-            	return;
+                return;
             }
-            
+
             if (checkError(strResponse) == true) {
-            	return;
+                return;
             }
-            
+
             String[] astrParts = strResponse.split(":");
             if (astrParts.length < 2) {
-            	return;
+                return;
             }
             if (astrParts.length > 0) m_nVersionMajor = Integer.parseInt(astrParts[0]);
@@ -56,6 +42,7 @@
             if (astrParts.length > 3) m_nVersionRevision = Integer.parseInt(astrParts[3]);
         } catch (Exception e) {
+            Main.warn(e);
         }
     }
-    
+
 }
Index: applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/server/Request.java
===================================================================
--- applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/server/Request.java	(revision 32699)
+++ applications/editors/josm/plugins/tracer2/src/org/openstreetmap/josm/plugins/tracer2/server/Request.java	(revision 32788)
@@ -1,20 +1,3 @@
-/**
- *  Tracer2 - plug-in for JOSM to capture contours
- *  
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *  
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *  
- *  You should have received a copy of the GNU General Public License along
- *  with this program; if not, write to the Free Software Foundation, Inc.,
- *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
- */
-
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.tracer2.server;
 
@@ -31,10 +14,10 @@
 
 public class Request extends Thread {
-	
+
     static final String URL = "http://localhost:49243/";
-    
+
     public Request() {
     }
-    
+
     /**
      * Send request to the server.
@@ -53,13 +36,15 @@
             return oBuilder.toString();
         } catch (ConnectException e) {
-            JOptionPane.showMessageDialog(Main.parent, tr("Tracer2Server isn''t running. Please start the Server.\nIf you don''t have the server, please download it from\n{0}.",
-            		"http://sourceforge.net/projects/tracer2server/") , tr("Error"),  JOptionPane.ERROR_MESSAGE);
+            JOptionPane.showMessageDialog(Main.parent,
+                    tr("Tracer2Server isn''t running. Please start the Server.\nIf you don''t have the server, please download it from\n{0}.",
+                            "http://sourceforge.net/projects/tracer2server/"), tr("Error"), JOptionPane.ERROR_MESSAGE);
             return "";
         } catch (Exception e) {
-            JOptionPane.showMessageDialog(Main.parent, tr("Tracer2Server hasn''t found anything.") + "\n", tr("Error"),  JOptionPane.ERROR_MESSAGE);
-    		return "";
-    	}
+            JOptionPane.showMessageDialog(Main.parent, tr("Tracer2Server hasn''t found anything.") + "\n",
+                    tr("Error"), JOptionPane.ERROR_MESSAGE);
+            return "";
+        }
     }
-    
+
     /**
      * Checks errors in response from the server.
@@ -70,13 +55,14 @@
         String strIdentifier = "&traceError=";
         if (strResponse.contains(strIdentifier)) {
-        	String strError = strResponse.replaceFirst(strIdentifier, "").trim();
-            JOptionPane.showMessageDialog(Main.parent, tr("Tracer2Server has detected an error.") + "\n" + strError, tr("Error"),  JOptionPane.ERROR_MESSAGE);
-        	return true;
+            String strError = strResponse.replaceFirst(strIdentifier, "").trim();
+            JOptionPane.showMessageDialog(Main.parent, tr("Tracer2Server has detected an error.") + "\n" + strError,
+                    tr("Error"), JOptionPane.ERROR_MESSAGE);
+            return true;
         }
         return false;
     }
-    
+
+    @Override
     public void run() {
     }
-    
 }
